{%- capture quantity_selector -%}
  <div class="f aic">
    <div
      is="quantity-selector"
      :key="variantId + '-' + quantity"
      :initial="quantity"
      :max="99"
      @change="updateQuantity">
    </div>
    <button
      class="cart-item__remove p2 pl05 link small"
      :aria-label="'Remove ' + title"
      @click.prevent="remove">
      Remove
    </button>
  </div>
{%- endcapture -%}

<div
  v-for="(item, index) in cart.items"
  is="cart-item"
  class="cart__body-item __"
  :image="item.image"
  :price="item.price"
  :title="item.product_title"
  :quantity="item.quantity"
  :type="item.product_type"
  :index="index"
  :key="'id--' + item.product_id + 'index--' + index"
  :variant-id="item.variant_id"
  :variant-title="item.variant_title"
  inline-template>

  <div class="cart-item relative">
    <div class="cart-item__info relative clear align-t">
      <a href="{{url}}" class="cart-item__image inline-block relative">
        <div class="img-holder bg-grey-light">
          <div is="vue-image" :spinner="false" :src="image" :size="960" :alt="title" spinner-size="sm" css="fit-cover"></div>
        </div>
      </a>
      <div class="cart-item__details inline-block pl05">
        <h4 class="cart-item__details__heading" v-html="title"></h4>

        <p class="cart-item__details__description" v-if="variantTitle">
          <span v-if="isGiftCard">{{ 'products.product.amount' | t }}</span>
          <span class="small" v-html="variantTitle"></span>
        </p>

        <div class="cart-item__details-quantity">
          {{ quantity_selector }}
        </div>
      </div>
    </div>

    <div class="cart-item__price hide align-t align-l">
      <p class="" v-html="formattedPrice"></p>
    </div>
    {% unless location == 'mini-cart' %}
    <div class="cart-item__quantity align-t align-l">
      {{ quantity_selector }}
    </div>
    {% endunless %}
    <div class="cart-item__total">
      <p class="cart-item__total-inner align-r" v-html="totalFormattedPrice"></p>
    </div>
  </div>
</div>

{%- assign quantity_selector = nil -%}
